itpp::Rice_RNG Class Reference
Base Module » Random Number Generation

Rice distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Rice_RNG (double sigma=1.0, double v=1.0)
| Constructor. Set sigma, and v (if v = 0, Rice -> Rayleigh).
void | setup (double sigma, double v)
| Set sigma, and v (if v = 0, Rice -> Rayleigh).
void | get_setup (double &sigma, double &v)
| Get parameters.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Rice distribution.

Definition at line 763 of file random.h.

## Constructor & Destructor Documentation

## Rice_RNG()

itpp::Rice_RNG::Rice_RNG | ( | double | sigma = `1.0`,
|  | double | v = `1.0`
| ) |  |

Constructor. Set sigma, and v (if v = 0, Rice -> Rayleigh).

Definition at line 896 of file random.cpp.

References setup().

## Member Function Documentation

## setup()

void itpp::Rice_RNG::setup | ( | double | sigma,
|  | double | v
| ) |  |

inline

Set sigma, and v (if v = 0, Rice -> Rayleigh).

Definition at line 769 of file random.h.

Referenced by Rice_RNG().

## get_setup()

void itpp::Rice_RNG::get_setup | ( | double & | sigma,
|  | double & | v
| ) |  |

inline

Get parameters.

Definition at line 771 of file random.h.

## operator()() [1/3]

double itpp::Rice_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 773 of file random.h.

## operator()() [2/3]

vec itpp::Rice_RNG::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 901 of file random.cpp.

## operator()() [3/3]

mat itpp::Rice_RNG::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 911 of file random.cpp.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Mon Jun 10 2024 11:49:40 for IT++ by Doxygen 1.9.8